diff options
author | Cash Costello <cash.costello@gmail.com> | 2011-12-11 06:38:23 -0500 |
---|---|---|
committer | Cash Costello <cash.costello@gmail.com> | 2011-12-11 06:38:23 -0500 |
commit | d9bf22a0e29c2a70049443a0ae8521a2c0492c8b (patch) | |
tree | c7599a9169d5def7df56c480ad6d67f312443d6f /models/openid-php-openid-782224d/admin/runtests | |
download | elgg-d9bf22a0e29c2a70049443a0ae8521a2c0492c8b.tar.gz elgg-d9bf22a0e29c2a70049443a0ae8521a2c0492c8b.tar.bz2 |
initial commit for git repository
Diffstat (limited to 'models/openid-php-openid-782224d/admin/runtests')
-rw-r--r-- | models/openid-php-openid-782224d/admin/runtests | 71 |
1 files changed, 71 insertions, 0 deletions
diff --git a/models/openid-php-openid-782224d/admin/runtests b/models/openid-php-openid-782224d/admin/runtests new file mode 100644 index 000000000..b018c8749 --- /dev/null +++ b/models/openid-php-openid-782224d/admin/runtests @@ -0,0 +1,71 @@ +#!/usr/bin/env bash + +# Get the absolute path containing this script +cd $(dirname "$0") +HERE=$PWD + +test_import () { + ./admin/checkimports +} + +test_syntax () { + ./admin/syntaxcheck +} + +test_tabs () { + /usr/bin/env bash "$HERE/notabs" +} + +test_longlines () { + /usr/bin/env bash "$HERE/nolonglines" +} + +test_nobadbraces () { + /usr/bin/env bash "$HERE/nobadbraces" +} + +test_nobadcase () { + /usr/bin/env bash "$HERE/nobadcase" +} + +test_opentag () { + /usr/bin/env bash "$HERE/open_tag" +} + +test_docblocks () { + /usr/bin/env bash "$HERE/docblocks" +} + +test_php () { + if uname -a | grep -i cygwin >/dev/null 2>/dev/null ; then + /usr/bin/env php "$(dirname "$0")/texttest.php" --insecure-rand \ + $TEXTTEST_ARGS + else + /usr/bin/env php "$HERE/texttest.php" $TEXTTEST_ARGS + fi +} + +tests="syntax tabs longlines nobadbraces nobadcase opentag docblocks php import" + +failures= + +# Run in repository root (parent of this directory) +cd $(dirname "$HERE") + +chmod +x ./admin/fixperms +./admin/fixperms + +for test_name in $tests + do + echo "Running test $test_name" 1>&2 + if ! eval "test_$test_name" + then + failures="$failures $test_name" + fi +done + +if [ ! -z "$failures" ] + then + echo "Failures in: $failures" 1>&2 + exit 1 +fi |